' File: rmvPthsFromGrpNms.BAS
' Version: Version 1
' Date: May 30, 2017
' Author: Ryan Blelloch, ATA Engineering
' Description: This API removes paths from the group titles created.
'	This is particulalry useful for groups read in using "Create Groups from INCLUDE"
'
'Copyright (c) <2017> <ATA Engineering, Inc.>
'
'Permission is hereby granted, free of charge, to any person obtaining a copy of this software and
'associated documentation files (the "Software") to use, copy, modify, merge, and/or distribute
'royalty-free copies of the Software, and to permit persons to whom the Software is furnished
'to do so, subject to the following conditions:
'The above copyright notice and this permission notice shall be included in all copies or
'substantial portions of the Software.
'THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED,
'INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
'FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
'IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
'WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE
'OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
'
'
Sub Main

	Dim App As femap.model
	Set App = feFemap()

	'runs through all the groups
	Dim gSet As femap.Set
	Set gSet = App.feSet

	'points to the current group to modify
	Dim curG As femap.Group
	Set curG = App.feGroup

	'add all groups to set and prepare to run through
	gSet.AddAll(FT_GROUP)
	gSet.Reset

	'run through all groups
	While gSet.Next

		curG.Get(gSet.CurrentID)

		'if the current group has a backslash, assume it is a file path
		If(InStr(1, curG.title, "\")) Then
			'set group title to only be substring following final backslash
			curG.title = StrReverse( Left( StrReverse( curG.title ), InStr(1, StrReverse( curG.title ), "\") - 1) )
			'update title in model
			curG.Put(curG.ID)
		End If

	Wend
	App.feViewRegenerate(0)

End Sub
